<!--
  Generated template for the AirportRidePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Airport Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div id="map"></div> 
	<ion-slides #slides class="swiper-no-swiping" *ngIf="firstStep">
		<!-- Airport Selection--> 
		<ion-slide class="form pad-all-10">
			<div class="text-center">
				<h2 class="pad-all-10">Please select an airport.</h2> 
				<p>More airports coming soon.</p>
			</div> 
			
			<div class="row pad-20">
				<ion-item>
					<ion-label>Select Airport</ion-label>
					<ion-select [(ngModel)]="airportSelect" (ionChange)="continueSearch()">
						<ion-option *ngFor="let air of Airports" [value]="air"> 
							{{air.name}} - {{air.city}} 
						</ion-option>
					</ion-select>
				</ion-item>
			</div> 	 

			<button (click)="nextSlide()" [disabled]="continue" ion-button block color="primary" class="rounded">
				Continue
			</button>	
		</ion-slide>

		<ion-slide>
			<div class="form pad-all-10"> 
				<h2 class="pad-all-10"> Where are you driving to?</h2>

				<!--<ion-icon name="compass" class="current_loc" (click)="getCurrentLocation()"></ion-icon>-->

				<div>
					<ion-item>
						<ion-input [(ngModel)]="autocomplete_from.input" (keyup)="updateSearchResultsFrom()" placeholder="Enter destination" type="text" id="searbar_from" clearInput></ion-input>
					</ion-item>

					<ion-list [hidden]="autocompleteItemsFrom.length == 0" class="search-locations">
						<ion-item *ngFor="let item of autocompleteItemsFrom" (click)="selectSearchResultFrom($event,item)">{{ item.description }} </ion-item>
					</ion-list>
				</div>

				<button (click)="nextSlide(); startNavigating()" position="bottom" id="button-float" ion-button block color="primary" class="rounded">
					Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
				</button>

				<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
					<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
				</button>
			</div>
		</ion-slide>

		<ion-slide>
			<div class="form pad-all-10" style="min-height: 100%;">
				<div>
					<h2 class="pad-all-10"> What day is your ride happening? </h2> 
					<ion-item>
					    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon>
					     Ride Date</ion-label>
					    <ion-datetime displayFormat="YYYY-MM-DD" 
					    [(ngModel)]="ride_date" [min]="minDate" (ionChange)="changeAllowDay()"
					     max="2022"></ion-datetime>
				  	</ion-item>
			  	</div>
				<button (click)="nextSlide()" position="bottom" id="button-float" [disabled]="allowDay" 
				ion-button block color="primary" class="rounded">
					Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
				</button>

				<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
					<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
				</button>	
			</div>
		</ion-slide> 

		<ion-slide>
			<div class="form pad-all-10">
				<div class="pad-20">
					<h2 class="pad-all-10">What time will this ride be happening?</h2>

					<ion-item>
						<ion-label class="bigger-text"><ion-icon name="clock" class="icon-big-2"></ion-icon>
					     Ride Time</ion-label>
						<ion-datetime (ionChange)="changeAllowHour()" displayFormat="hh:mm a" [(ngModel)]="ride_hour"></ion-datetime>
					</ion-item>
				</div>
			<button (click)="nextSlide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded" [disabled]="allowHour">
				Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
			</button>

			<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
				<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>	
			</div>
		</ion-slide> 

		<ion-slide>
			<div class="form pad-all-10">
				<h2> Just a few more details... </h2>

				<ion-row style="margin-top:30px;">
					<ion-col col-5 class="text-left">
						<ion-label style="text-align: left;">Seat Price</ion-label>
					</ion-col>
					<ion-col col-2 class="text-left">
						<button (click)="sub()" class="priceIcons">
							<ion-icon name="remove" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-3>
						<h4 class="text-center" style="padding:16px 0 0 16px"> 
							${{ totlaPrice }} </h4>
					</ion-col>
					<ion-col col-2>
						<button (click)="add()" class="priceIcons">
							<ion-icon name="add" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-2></ion-col>
				</ion-row>

				<ion-row style="margin-top:10px;">
					<ion-col col-5 class="text-left">
						<ion-label style="text-align: left;">Seats Offered</ion-label>
					</ion-col>
					<ion-col col-2 class="text-left">
						<button (click)="subSeats()" class="priceIcons">
							<ion-icon name="remove" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-3>
						<h4 class="text-center" style="padding:16px 0 0 16px"> 
							{{ seats }} </h4>
					</ion-col>
					<ion-col col-2>
						<button (click)="addSeats()" class="priceIcons">
							<ion-icon name="add" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-2></ion-col>
				</ion-row>

				<ion-row>
					<ion-col col-5 class="text-left">
						<ion-label style="text-align: left;">Luggage</ion-label>
						<p style="margin-top: -5px; font-size: 10px !important; text-align: left;">(Per Passenger)</p>
					</ion-col>
					<ion-col col-2 class="text-left">
						<button (click)="subLuggage()" class="priceIcons">
							<ion-icon name="remove" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
					<ion-col col-3>
						<h4 class="text-center" style="padding:16px 0 0 16px"> 
						{{ luggage_amount }} </h4>
					</ion-col>
					<ion-col col-2>
						<button (click)="addLuggage()" class="priceIcons">
							<ion-icon name="add" class="grey-circle"></ion-icon>
						</button>
					</ion-col>
				</ion-row>

				<div>
				  	<ion-item>
					    <ion-label>Luggage Size</ion-label>
					    <ion-select  [(ngModel)]="luggage_size">
			      			<ion-option value="Small" Selected>Small</ion-option>
			      			<ion-option value="Medium">Medium</ion-option>
			      			<ion-option value="Large">Large</ion-option>
			      		</ion-select>
				  	</ion-item>

				  	<ion-label>Description</ion-label>
				  	<ion-item>
					    <ion-textarea [(ngModel)]="description" 
					    				rows="6" cols="1"
					    				placeholder="Any additional details go here.">
					    </ion-textarea>
				  	</ion-item>
				</div>
				<button [disabled]="allowCreate" (click)="createRide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded"> Create <ion-icon name="md-arrow-forward" style="padding-left:10px"></ion-icon>
				</button> 
				<button (click)="backSlide()" position="bottom" id="button-float-left" 
			    		ion-button block color="light" class="rounded">
					 <ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
				</button>
			</div>
		</ion-slide>

	</ion-slides>

	<div *ngIf="secondStep">
	<div class="pad-all-10 text-center">
		<h1 class="pad-all-10"> Your ride has been created!</h1> 
		<button  ion-button block color="primary" (click)="rideHistory()" class="btn rounded">
			Ride History
		</button>
	</div>
</div> 

</ion-content>
